• 注册
  • dzQ交流 dzQ交流 关注:15 内容:63

    Discuz! Q您可以直接下载 Discuz! Q 进行安装部署 实时最新版下载

  • 查看作者
  • 打赏作者
    • 1
    • dzQ交流
    • 新手

      前提条件

      • 服务器已安装的 PHP 版本为 7.2.5 及以上(暂不推荐使用7.4),数据库使用 MySQL 5.7.9 版本以上或 MariaDB 10.2 以上。

      • 已成功登录 Linux 服务器。

      操作步骤

      #步骤一:配置PHP

      #安装扩展

      TIP

      • Discuz! Q 依赖于 BCMath Ctype Curl Dom Fileinfo GD JSON Mbstring Exif OpenSSL PDO PDO_mysqlTokenizer XML Zip扩展插件,在 PHP 中需开启以上扩展。

      • 以下操作因为系统版本,软件版本的不同,操作上会有所差异,请根据您的具体情况进行开启对应函数,以下操作仅提供示例。

      1. 查看 PHP 已安装扩展。在终端中,可以输入 php -m 查看已安装扩展。

      2. 安装缺失扩展。在终端中,您可以根据查询结果安装对应缺失的扩展。

        • 如缺失 Exif 扩展,可以使用以下命令进行编译安装扩展 Exif扩展。

      TIP

      以下路径仅提供示例。请根据实际情况进行输入。

      # 使用 cd 命令进入 php 的源码的 exif 模块目录。
      cd /root/lamp1.7/src/php-7.3.23/ext/exif/
      
      # 执行 phpize 脚本。
      /usr/local/php/bin/
      
      # 编译配置。
      ./configure --with-php-config=/usr/local/php/bin/php-config
      
      # 编译安装 exif 模块。
      make && make install

      dzq最新版本下载
      不会安装可以联系站长协助安装

      事事无常,快乐是最重要的!

      新手

      宝塔用户,直接下载文件放到绑定的域名根目录下设置一下运行目录即可

      回复

      请登录之后再进行评论

      登录

      分享有礼

    • 发表内容
    • 做任务
    • 实时动态